1

My config.mk file has the following settings:

# Select your backends from this list
BACKEND_CDB ?= no
BACKEND_MYSQL ?= no
BACKEND_SQLITE ?= no
BACKEND_REDIS ?= no
BACKEND_POSTGRES ?= yes
BACKEND_LDAP ?= no
BACKEND_HTTP ?= no
BACKEND_JWT ?= no
BACKEND_MONGO ?= no
BACKEND_FILES ?= yes
BACKEND_MEMCACHED ?= no

# Specify the path to the Mosquitto sources here
MOSQUITTO_SRC = /usr/include

# Specify the path the OpenSSL here
OPENSSLDIR = /usr/bin/openssl

# Specify optional/additional linker/compiler flags here
# On macOS, add
#       CFG_LDFLAGS = -undefined dynamic_lookup
# as described in https://github.com/eclipse/mosquitto/issues/244
CFG_LDFLAGS =
CFG_CFLAGS = -DRAW_SALT

When i am trying to compile it sudo make it throws the following error:

Selected backends:          PostgreSQL Files
Using mosquitto source dir: /usr/include
OpenSSL install dir:        /usr/bin/openssl

If you changed the backend selection, you might need to 'make clean' first

CFLAGS:  -DRAW_SALT -I/usr/include/src/ -I/usr/include/lib/ -fPIC -Wall -Werror  -DBE_POSTGRES -DBE_FILES  -I/usr/include/postgresql -I/src -DDEBUG=1 -I/usr/bin/openssl /include
LDFLAGS:   -L/usr/include/lib/
LDADD:    -L/usr/lib/x86_64-linux-gnu -lpq -L/usr/bin/openssl /lib -lcrypto -lmosquitto

cc -DRAW_SALT -I/usr/include/src/ -I/usr/include/lib/ -fPIC -Wall -Werror  -DBE_POSTGRES -DBE_FILES  -I`pg_config --includedir` -I/src -DDEBUG=1 -I/usr/bin/openssl /include   -c -o auth-plug.o auth-plug.c
cc: error: /include: No such file or directory
<builtin>: recipe for target 'auth-plug.o' failed
make: *** [auth-plug.o] Error 1

Could you please advice whats wrong and how can i fix the problem?

2
  • Did you mean to write -I/usr/bin/openssl/include in place of -I/usr/bin/openssl /include ? Mar 25, 2019 at 14:25
  • I have reinstalled openssl package manually and changed openssl setting inside config.mk file to OPENSSLDIR = /usr/local/openssl. Now it throws new error:In file included from /usr/include/openssl/evp.h:66:0, from auth-plug.c:33: /usr/include/x86_64-linux-gnu/openssl/opensslconf.h:18:3: error: #error OPENSSL_ALGORITHM_DEFINES no longer supported # error OPENSSL_ALGORITHM_DEFINES no longer supported ^~~~~ auth-plug.c:35:30: fatal error: mosquitto_broker.h: No such file or directory #include <mosquitto_broker.h> ^
    – ussrback
    Mar 25, 2019 at 16:05

0

You must log in to answer this question.

Browse other questions tagged .